Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 18851)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 19661)
@@ -52,4 +52,15 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
     	ob_end_clean();
 
@@ -69,56 +80,64 @@
 
         $objCustomer = new SC_Customer();
-        //ログインしていない場合
+        //ログインしていない場合エラー
         if (!$objCustomer->isLoginSuccess()){
             SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
-        } else {
-        //ログインしている場合
-            //DBから商品情報の読込
-            $arrForm = $this->lfGetRealFileName($customer_id, $order_id, $product_id, $product_class_id);
-            //ステータスが支払済み以上である事
-            if ($arrForm["status"] < ORDER_DELIV){
-                SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
-            }
-            //ファイル情報が無い場合はNG
-            if ($arrForm["down_realfilename"] == "" ){
-                SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
-            }
-            //ファイルそのものが無い場合もとりあえずNG
-            $realpath = DOWN_SAVE_DIR . $arrForm["down_realfilename"];
-            if (!file_exists($realpath)){
-                SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
-            }
-            //ファイル名をエンコードする Safariの対策はUTF-8で様子を見る
-            $encoding = "Shift_JIS";
-            if(isset($_SERVER['HTTP_USER_AGENT']) && strpos($_SERVER['HTTP_USER_AGENT'],'Safari')) {
-                $encoding = "UTF-8";
-            }
-            $sdown_filename = mb_convert_encoding($arrForm["down_filename"], $encoding, "auto");
-            //タイプ指定
-            header("Content-Type: Application/octet-stream");
-            //ファイル名指定
-            header("Content-Disposition: attachment; filename=" . $sdown_filename);
-            header("Content-Transfer-Encoding: binary");
-            //キャッシュ無効化
-            header("Expires: Mon, 26 Nov 1962 00:00:00 GMT");
-            header("Last-Modified: " . gmdate("D,d M Y H:i:s") . " GMT");
-            //IE6+SSL環境下は、キャッシュ無しでダウンロードできない
-            header("Cache-Control: private");
-            header("Pragma: private");
-            //ファイルサイズ指定
-            $zv_filesize = filesize($realpath);
-            header("Content-Length: " . $zv_filesize);
-            set_time_limit(0);
-            ob_end_flush();
+        }
+    }
+
+    /**
+     * Page のResponse.
+     * @return void
+     */
+    function  sendResponse() {
+        $this->objDisp->noAction();
+        //DBから商品情報の読込
+        $arrForm = $this->lfGetRealFileName($customer_id, $order_id, $product_id, $product_class_id);
+        //ステータスが支払済み以上である事
+        if ($arrForm["status"] < ORDER_DELIV){
+            SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
+        }
+        //ファイル情報が無い場合はNG
+        if ($arrForm["down_realfilename"] == "" ){
+            SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
+        }
+        //ファイルそのものが無い場合もとりあえずNG
+        $realpath = DOWN_SAVE_DIR . $arrForm["down_realfilename"];
+        if (!file_exists($realpath)){
+            SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
+        }
+        //ファイル名をエンコードする Safariの対策はUTF-8で様子を見る
+        $encoding = "Shift_JIS";
+        if(isset($_SERVER['HTTP_USER_AGENT']) && strpos($_SERVER['HTTP_USER_AGENT'],'Safari')) {
+            $encoding = "UTF-8";
+        }
+        $sdown_filename = mb_convert_encoding($arrForm["down_filename"], $encoding, "auto");
+
+        //TODO SC_Display利用に変更
+        //タイプ指定
+        header("Content-Type: Application/octet-stream");
+        //ファイル名指定
+        header("Content-Disposition: attachment; filename=" . $sdown_filename);
+        header("Content-Transfer-Encoding: binary");
+        //キャッシュ無効化
+        header("Expires: Mon, 26 Nov 1962 00:00:00 GMT");
+        header("Last-Modified: " . gmdate("D,d M Y H:i:s") . " GMT");
+        //IE6+SSL環境下は、キャッシュ無しでダウンロードできない
+        header("Cache-Control: private");
+        header("Pragma: private");
+        //ファイルサイズ指定
+        $zv_filesize = filesize($realpath);
+        header("Content-Length: " . $zv_filesize);
+        set_time_limit(0);
+        ob_end_flush();
+        flush();
+        //ファイル読み込み
+        $handle = fopen($realpath, "rb");
+        while (!feof($handle)) {
+            echo(fread($handle, DOWNLOAD_BLOCK*1024));
+            ob_flush();
             flush();
-            //ファイル読み込み
-            $handle = fopen($realpath, "rb");
-            while (!feof($handle)) {
-                echo(fread($handle, DOWNLOAD_BLOCK*1024));
-                ob_flush();
-                flush();
-            }
-            fclose($handle);
         }
+        fclose($handle);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 18743)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 19661)
@@ -56,5 +56,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -65,8 +76,8 @@
         // ログイン判定
         if($objCustomer->isLoginSuccess()) {
-            $this->sendRedirect($this->getLocation(DIR_INDEX_URL, array(), true));
+            $this->objDisplay->redirect($this->getLocation(DIR_INDEX_URL, array(), true));
             exit;
         } else {
-            // クッキー判定
+            // クッキー判定(メールアドレスをクッキーに保存しているか）
             $this->tpl_login_email = $objCookie->getCookie('login_email');
             if($this->tpl_login_email != "") {
@@ -82,7 +93,7 @@
 
         //$objpage内の全てのテンプレート変数をsmartyに格納
-        $objView->assignobj($this);
+        //$objView->assignobj($this);
         //パスとテンプレート変数の呼び出し、実行
-        $objView->display(SITE_FRAME);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 19661)
@@ -59,5 +59,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+         parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
 
         $objCustomer = new SC_Customer();
@@ -71,6 +82,6 @@
         $objLayout->sfGetPageLayout($this, false, "mypage/index.php");
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
@@ -92,5 +103,16 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+         parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+        //$objView = new SC_MobileView();
 
         $objCustomer = new SC_Customer();
@@ -100,6 +122,6 @@
         $this->CustomerPoint = $objCustomer->getvalue('point');
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 18827)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 19661)
@@ -52,4 +52,15 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
         $objCustomer = new SC_Customer();
         $objCartSess = new SC_CartSession();
@@ -72,5 +83,5 @@
             $objCartSess->addProduct(array($product_id, $product_class_id, $cate_id1, $cate_id2), $quantity);
         }
-        $this->sendRedirect($this->getLocation(URL_CART_TOP));
+        $this->objDisplay->redirect($this->getLocation(URL_CART_TOP));
     }
 
@@ -90,4 +101,16 @@
      */
     function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+
         $objCustomer = new SC_Customer();
         $objCartSess = new SC_CartSession();
@@ -110,5 +133,5 @@
             $objCartSess->addProduct(array($product_id, $product_class_id, $cate_id1, $cate_id2), $quantity);
         }
-        $this->sendRedirect($this->getLocation(MOBILE_URL_CART_TOP), true);
+        $this->objDisplay->redirect($this->getLocation(MOBILE_URL_CART_TOP));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 19661)
@@ -54,5 +54,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $objSess = new SC_Session();
         $objCustomer = new SC_Customer();
@@ -77,6 +88,6 @@
         }
 
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
+        //$objView->assignobj($this);
+        //$objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 19661)
@@ -58,5 +58,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $objCustomer = new SC_Customer();
 
@@ -75,6 +86,6 @@
         }
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
@@ -85,4 +96,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = 'mypage/change_complete.tpl';
         $this->tpl_title = 'MYページ/会員登録内容変更(完了ページ)';
@@ -95,7 +107,18 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+
+        //$objView = new SC_MobileView();
         $objCustomer = new SC_Customer();
-
 
         //セッション情報を最新の状態に更新する
@@ -112,6 +135,6 @@
         }
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 18857)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 19661)
@@ -58,5 +58,16 @@
      */
     function process() {
-        $objView = new SC_SiteView(false);
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView(false);
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -140,7 +151,7 @@
                 break;
         }
-
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
+        $this->setTemplate($this->tpl_mainpage);
+        //$objView->assignobj($this);
+        //$objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 18840)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 19661)
@@ -64,6 +64,17 @@
      */
     function process() {
-
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+
+        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -134,6 +145,6 @@
         // 入力情報を渡す
         $this->arrForm = $this->objFormParam->getFormParamList();
-        $objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        $objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
+        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
+        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
     }
 
@@ -144,4 +155,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = 'mypage/favorite.tpl';
         $this->tpl_title = 'MYページ/お気に入り一覧';
@@ -154,5 +166,16 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+        //$objView = new SC_MobileView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -197,5 +220,5 @@
                     if (!$objMobile->gfIsMobileMailAddress($objCustomer->getValue('email'))) {
                         if (!$objCustomer->hasValue('email_mobile')) {
-                            $this->sendRedirect($this->getLocation("../entry/email_mobile.php"), true);
+                            $this->objDisplay->redirect($this->getLocation("../entry/email_mobile.php"));
                         }
                     }
@@ -214,4 +237,5 @@
         }
 
+        // TODO objViewを分けるので、$thisに置き換える TPLの修正が必須かな？
         /*
          * ログインチェック
@@ -229,6 +253,6 @@
         }
 
-        $objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        $objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
+        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
+        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
 
     }
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19307)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19661)
@@ -62,11 +62,19 @@
      */
     function process() {
-        global $objCampaignSess;
-
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objView = new SC_SiteView();
         $objCartSess = new SC_CartSession();
         $objSiteInfo = $objView->objSiteInfo;
         $objSiteSess = new SC_SiteSession();
-        $objCampaignSess = new SC_CampaignSession();
         $objCustomer = new SC_Customer();
         $objQuery = new SC_Query();
@@ -132,5 +140,5 @@
             // 正常な推移であることを記録しておく
             $objSiteSess->setRegistFlag();
-            $this->sendRedirect($this->getLocation(URL_SHOP_PAYMENT));
+            $this->objDisplay->redirect($this->getLocation(URL_SHOP_PAYMENT));
             exit;
             break;
@@ -154,5 +162,5 @@
                 $objPurchase = new SC_Helper_Purchase_Ex();
                 $objPurchase->completeOrder(ORDER_PENDING);
-                $this->sendRedirect($this->getLocation(URL_SHOP_MODULE));
+                $this->objDisplay->redirect($this->getLocation(URL_SHOP_MODULE));
             }else{
                 // 受注を完了し, 購入完了ページへ
@@ -160,5 +168,5 @@
                 $objPurchase->completeOrder(ORDER_NEW);
                 $objPurchase->sendOrderMail($arrData["order_id"]);
-                $this->sendRedirect($this->getLocation(URL_SHOP_COMPLETE));
+                $this->objDisplay->redirect($this->getLocation(URL_SHOP_COMPLETE));
             }
             exit;
@@ -167,10 +175,4 @@
             break;
         }
-
-        $this->arrData = $arrData;
-        $this->arrInfo = $objSiteInfo->data;
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
     }
 
@@ -190,4 +192,15 @@
      */
     function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objView = new SC_MobileView();
         $objCartSess = new SC_CartSession();
@@ -241,5 +254,5 @@
             // 正常な推移であることを記録しておく
             $objSiteSess->setRegistFlag();
-            $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT), true);
+            $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT));
             exit;
             break;
@@ -259,7 +272,7 @@
             if($payment_type != "") {
                 $_SESSION["payment_id"] = $arrData['payment_id'];
-                $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_MODULE), true);
+                $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_MODULE));
             }else{
-                $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_COMPLETE), true);
+                $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_COMPLETE));
             }
             exit;
@@ -270,6 +283,4 @@
         $this->arrData = $arrData;
         $this->arrInfo = $objSiteInfo->data;
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 18860)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 19661)
@@ -65,10 +65,17 @@
      */
     function process() {
-        global $objCampaignSess;
-
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSiteSess = new SC_SiteSession();
         $objCartSess = new SC_CartSession();
-        $objCampaignSess = new SC_CampaignSession();
         $objDb = new SC_Helper_DB_Ex();
         $this->objCustomer = new SC_Customer();
@@ -108,5 +115,5 @@
         //不正遷移チェック（正常に受注情報が格納されていない場合は一旦カート画面まで戻す）
         if (!$arrOrderTemp) {
-            $this->sendRedirect($this->getLocation(URL_CART_TOP));
+            $this->objDisplay->redirect($this->getLocation(URL_CART_TOP));
             exit;
         }
@@ -137,5 +144,5 @@
                 $objSiteSess->setRegistFlag();
                 // 確認ページへ移動
-                $this->sendRedirect($this->getLocation(URL_SHOP_CONFIRM, array(), true));
+                $this->objDisplay->redirect($this->getLocation(URL_SHOP_CONFIRM, array(), true));
                 exit;
             }else{
@@ -151,5 +158,5 @@
             // 正常な推移であることを記録しておく
             $objSiteSess->setRegistFlag();
-            $this->sendRedirect(URL_SHOP_TOP);
+            $this->objDisplay->redirect(URL_SHOP_TOP);
             exit;
             break;
@@ -175,8 +182,4 @@
 
         $this->arrForm = $this->objFormParam->getFormParamList();
-
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
     }
 
@@ -196,5 +199,15 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のプロセス(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objSiteSess = new SC_SiteSession();
         $objCartSess = new SC_CartSession();
@@ -227,5 +240,5 @@
         //不正遷移チェック（正常に受注情報が格納されていない場合は一旦カート画面まで戻す）
         if (!$arrOrderTemp) {
-            $this->sendRedirect($this->getLocation(MOBILE_URL_CART_TOP));
+            $this->objDisplay->redirect($this->getLocation(MOBILE_URL_CART_TOP));
             exit;
         }
@@ -252,7 +265,7 @@
                 if ($this->cartdown == 2) {
                     // ダウンロード商品のみの場合はカート画面へ戻る
-                    $this->sendRedirect($this->getLocation(MOBILE_URL_CART_TOP), true);
+                    $this->objDisplay->redirect($this->getLocation(MOBILE_URL_CART_TOP));
                 } else {
-                    $this->sendRedirect(MOBILE_URL_SHOP_TOP, true);
+                    $this->objDisplay->redirect(MOBILE_URL_SHOP_TOP);
                 }
                 exit;
@@ -294,5 +307,5 @@
                 $objSiteSess->setRegistFlag();
                 // 確認ページへ移動
-                $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_CONFIRM), true);
+                $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_CONFIRM));
                 exit;
             }else{
@@ -313,5 +326,5 @@
             // 正常な推移であることを記録しておく
             $objSiteSess->setRegistFlag();
-            $this->sendRedirect(MOBILE_URL_SHOP_TOP, true);
+            $this->objDisplay->redirect(MOBILE_URL_SHOP_TOP);
             exit;
             break;
@@ -338,7 +351,4 @@
 
         $this->arrForm = $this->objFormParam->getFormParamList();
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 18853)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 19661)
@@ -52,4 +52,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
     }
 
@@ -72,4 +82,14 @@
      */
     function mobileProcess() {
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objView = new SC_MobileView(false);
         $objQuery = new SC_Query();
@@ -120,5 +140,5 @@
                 break;
             default:
-                $this->sendRedirect($this->getLocation("./deliv.php"), true);
+                $this->objDisplay->redirect($this->getLocation("./deliv.php"));
                 exit;
             }
@@ -174,5 +194,5 @@
                 $objSiteSess->setRegistFlag();
                 // お支払い方法選択ページへ移動
-                $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT), true);
+                $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT));
                 exit;
             } else {
@@ -186,7 +206,4 @@
             }
         }
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 18853)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 19661)
@@ -69,10 +69,17 @@
      */
     function process() {
-        global $objCampaignSess;
-
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function action() {
         $objSiteSess = new SC_SiteSession();
         $objCartSess = new SC_CartSession();
-        $objCampaignSess = new SC_CampaignSession();
         $objCustomer = new SC_Customer();
         $objCookie = new SC_Cookie();
@@ -98,8 +105,8 @@
                 $objSiteSess->setRegistFlag();
                 //カート内が全てダウンロード商品の場合は支払方法設定画面に転送
-                $this->sendRedirect($this->getLocation("./payment.php"), array());
+                $this->objDisplay->redirect($this->getLocation("./payment.php"), array());
             } else {
                 // お届け先設定画面に転送
-                $this->sendRedirect($this->getLocation("./deliv.php"), array());
+                $this->objDisplay->redirect($this->getLocation("./deliv.php"), array());
             }
             exit;
@@ -107,5 +114,5 @@
 
         if ($_SERVER["REQUEST_METHOD"] == "POST") {
-            if (!$this->isValidToken()) {
+            if (!SC_Helper_Session_Ex::isValidToken()) {
                 SC_Utils_Ex::sfDispSiteError(PAGE_ERROR, "", true);
             }
@@ -138,5 +145,5 @@
                 $objSiteSess->setRegistFlag();
                 // お支払い方法選択ページへ移動
-                $this->sendRedirect($this->getLocation(URL_SHOP_PAYMENT));
+                $this->objDisplay->redirect($this->getLocation(URL_SHOP_PAYMENT));
                 exit;
             }
@@ -146,5 +153,5 @@
         case 'return':
             // 確認ページへ移動
-            $this->sendRedirect($this->getLocation(URL_CART_TOP));
+            $this->objDisplay->redirect($this->getLocation(URL_CART_TOP));
             exit;
             break;
@@ -191,8 +198,5 @@
         $this->arrForm = $this->objFormParam->getFormParamList();
 
-        $this->transactionid = $this->getToken();
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
+        $this->transactionid = SC_Helper_Session_Ex::getToken();
     }
 
@@ -208,9 +212,20 @@
 
     /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->endResponse();
+    }
+
+    /**
      * Page のプロセス(モバイル).
      *
      * @return void
      */
-    function mobileProcess() {
+    function mobileAction() {
         $objView = new SC_MobileView();
         $objSiteSess = new SC_SiteSession();
@@ -241,8 +256,8 @@
                 $objSiteSess->setRegistFlag();
                 //カート内が全てダウンロード商品の場合は支払方法設定画面に転送
-                $this->sendRedirect($this->getLocation("./payment.php"), array());
+                $this->objDisplay->redirect($this->getLocation("./payment.php"), array());
             } else {
                 // お届け先設定画面に転送
-                $this->sendRedirect($this->getLocation("./deliv.php"), array());
+                $this->objDisplay->redirect($this->getLocation("./deliv.php"), array());
             }
             exit;
@@ -257,7 +272,4 @@
             $this->tpl_login_memory = "1";
         }
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
